package com.muyu.networking.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.FaultRecord;
import com.muyu.networking.mapper.FaultRecordMapper;
import com.muyu.networking.service.FaultRecordService;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.amqp.RabbitTemplateConfigurer;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/20 15:22
 */
@Service
@Slf4j
public class FaultRecordServiceImpl extends ServiceImpl<FaultRecordMapper, FaultRecord> implements FaultRecordService {






    /**
     * 查询故障记录列表
     *
     * @param faultRecord 故障记录
     * @return 故障记录
     */
    @Override
    public List<FaultRecord> list(FaultRecord faultRecord) {
        LambdaQueryWrapper<FaultRecord> queryWrapper = new LambdaQueryWrapper<>();
        return list(queryWrapper);
    }





}
