package com.muyu.domain.req;

import lombok.Data;

import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 故障记录对象 fault_record
 *
 * @author
 * @date 2024-06-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FaultRecordQueryReq", description = "故障记录")
public class FaultRecordQueryReq   {

    private static final long serialVersionUID = 1L;

    /** 故障码 */
    @ApiModelProperty(name = "故障码", value = "故障码")
    private String faultCode;

    /** 车辆vin */
    @ApiModelProperty(name = "车辆vin", value = "车辆vin")
    private String vin;

}
