package com.muyu.networking.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.FaultRecord;

import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/20 15:21
 */

public interface FaultRecordService extends IService<FaultRecord>
{


    /**
     * 查询故障记录列表
     *
     * @param faultRecord 故障记录
     * @return 故障记录集合
     */
    public List<FaultRecord> list(FaultRecord faultRecord);


    FaultRecord getByFaultRecord(FaultRecord faultRecord);

    void updateByFaultRecord(FaultRecord byFaultRecord);
}
