package com.muyu.networking.service.impl;




import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.FaultCode;
import com.muyu.networking.mapper.FaultCodeMapper;
import com.muyu.networking.service.FaultCodeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 车辆故障码Service业务层处理
 *
 * @author chx
 * @date 2024-06-20
 */
@Slf4j
@Service
public class FaultCodeServiceImpl extends ServiceImpl<FaultCodeMapper, FaultCode> implements FaultCodeService {

    /**
     * 查询车辆故障码列表
     *
     * @param faultCode 车辆故障码
     * @return 车辆故障码
     */
    @Override
    public List<FaultCode> list(FaultCode faultCode) {

        




        LambdaQueryWrapper<FaultCode> queryWrapper = new LambdaQueryWrapper<>();
        return list(queryWrapper);
    }
}
